Bug 66662 - Printing in evolution often defaults to this stupid frilly font
Printing in evolution often defaults to this stupid frilly font
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: evolution (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
http://www.linuxhelp.com.au/~smilie/e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-13 04:01 EDT by Anthony Rumble
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-13 04:01:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Rumble 2002-06-13 04:01:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc2) Gecko/20020510

Description of problem:
When printing certain emails, for some reason, the font it uses
is this horrible unreadable frilly font. The email on the screen is fine, just
when you Print/Print Preview.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Read the email example I will provide
2.Go Print Preview
3.
	

Actual Results:  You can see the font it previews is NOTHING like what was
displayed on the screen.

Expected Results:  It should have printed in a similar font to what the email
was displayed with on the screen.

Additional info:

This could be an evolution bug, a gnome-print bug, or both.

MBOX format mailfile, and screen caps at URL above.

And I just converted this big site from Outbreak to Evolution!
Comment 1 Anthony Rumble 2002-06-16 05:26:38 EDT
Solved. As it is an asian character set, it is calling up the asian fonts.
We didn't have the asian fonts installed, so it was substuring. As asian fonts
are in the same class as these "flowery" fonts, it was substituting to one of
these unreadable fonts.

Once we installed the asian fonts (And indeed ALL other fonts) the problem went
away.

This should be a bug for gnome-print, there needs to be a few things, like some
dialog notification of fonts substitution, and perhaps flagging some of these
"flowery: fonts to NEVER be substituted to.


Note You need to log in before you can comment on or make changes to this bug.